##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################
from Products.CMFDefault import Portal
import Products.CMFCore

from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory
import MailMessage
import MailIn_Tool

import sys
this_module = sys.modules[ __name__ ]

contentConstructors = (MailMessage.addMailMessage,)
contentClasses = (MailMessage.MailMessage,)

tools = ( MailIn_Tool.MailInTool, )

z_bases = utils.initializeBasesPhase1( contentClasses, this_module )

# Make the skins available as DirectoryViews
registerDirectory('skins', globals())
registerDirectory('skins/mailin', globals())

def initialize( context ):
    utils.ToolInit('CMFMailIn Tool', tools=tools,
                   product_name='CMFMailIn', icon='tool.gif',
                   ).initialize( context )
    
    utils.initializeBasesPhase2( z_bases, context )
    context.registerHelpTitle('CMF MailIn Help')
    context.registerHelp(directory='help')
    utils.ContentInit( 'CMF MailMessage'
                     , content_types = contentClasses
                     , permission = CMFCorePermissions.AddPortalContent 
                     , extra_constructors = contentConstructors
                     , fti = MailMessage.factory_type_information
                     ).initialize( context ) 
